gtk-sharp 0.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An enumeration used by TreeSelection.

This enumeration is used by to decide how selection behaves.

System.Enum System.IComparable System.IConvertible System.IFormattable
- Field
  Gtk.SelectionMode Nothing can be selected.

  Nothing can be selected.

- Field
  Gtk.SelectionMode Only one item can be selected at any given moment. Other items can have focus, but will not be marked as selected.

  Only one item can be selected at any given moment. Other items can have focus, but will not be marked as selected.

- Field
  Gtk.SelectionMode Only one item can be selected at any given moment. Any item currently having focus will be marked as selected.

  Only one item can be selected at any given moment. Any item currently having focus will be marked as selected.

- Field
  Gtk.SelectionMode Several items may be selected or unselected with a click or using the spacebar. They cannot be selected or unselected in any other way.

  Note that multiple selection should only be used where all items share the exact same callback routine.

- Field
  Gtk.SelectionMode Several items may be selected or unselected using drag, or the shift (selects all items from the leader to the current focus) or control (selects the item having current focus) keys.

  Note that extended selection should only be used where all items share the exact same callback routine.

- Field
  System.Int32 To be added To be added